EmbodiFlowDocs
Open console
Get startedDataWorkflows and algorithmsTraining and deploymentDeveloper reference
  • Developer reference

Authentication

  • Authentication overview
  • API keys
  • Personal access tokens
  • Browser sessions

REST API

  • Using the REST API
  • All endpoints
  • Projects
    • Recordings
      • Upload
        • Episodes and versions
          • Annotation
            • Quality and tasks
              • Search
                • Workflows
                  • Algorithms
                    • Models
                      • Artifacts and export
                        • Billing and usage
                          • Team and governance
                            • Account and notifications
                              • GET
                                List the current user activity tray for this team
                              • GET
                                Get the current user handle profile
                              • PATCH
                                Update the current user handle
                              • GET
                                List annotation assignments for a me
                              • GET
                                List collection tasks for a me
                              • GET
                                Get a collection task
                              • POST
                                Create a consent acceptance
                              • GET
                                List delivery batches for a me
                              • POST
                                Create a closure
                              • GET
                                Get the current user notification channel preferences for this team
                              • PUT
                                Replace the current user notification channel preferences for this team
                              • GET
                                List workflow runs for a me
                              • GET
                                List notifications
                              • POST
                                Create a read receipt
                              • POST
                                Create a read receipt
                              • GET
                                List unread count for a notification
                            • Webhook endpoints

                              Events

                              • Outbound events
                              • Signature verification

                              Tools

                              • CLI
                              • SDK
                              • MCP

                              Updates

                              • Changelog

                              © 2026 EmbodiFlow

                              llms.txtOpenAPI JSON
                              1. Developer reference
                              2. REST API
                              3. Account and notifications
                              4. Create a read receipt

                              Create a read receipt

                              POST
                              /v1/notifications/{id}/read-receipts
                              curl -X POST 'https://api.embodiflow.io/v1/notifications/{id}/read-receipts' \
                                -H 'Authorization: Bearer $EMBODIFLOW_PAT'

                              Authorization

                              Send a personal access token with every request.

                              • Authorization: Bearer PAT
                              Authentication guide

                              Path parameters

                              • idstringrequired

                              Header parameters

                              • Idempotency-Keystring

                                Optional idempotency key, at most 255 characters (UUIDv4 recommended). A repeated key returns the first response byte-for-byte, including a 5xx. The same key with a different body, or a second in-flight request, returns 409 IDEMPOTENCY_CONFLICT. Keys are unique per tenant and retained for 24 hours.

                              Responses

                              Success

                              • dataobjectrequired
                                • idstring (uuid)required
                                • eventIdstring (uuid)required
                                • eventTypestringrequired
                                • resourceTypestringrequired
                                • resourceIdstring (uuid)required
                                • projectIdstring (uuid) | nullrequired
                                • occurredAtstringrequired
                                • readbooleanrequired
                                • truncatedbooleanrequired
                                • hrefstring | nullrequired
                                • resourceLabelstring | null
                                • projectNamestring | null
                                • resourceStatusstring | null
                                • versionNumbernumber

                                  Dataset version number for `version` and `export` notifications.

                                • exportFormatstring

                                  Export format slug for `export` notifications.

                                • countnumberrequired
                              Response example
                              {
                                "data": {
                                  "id": "00000000-0000-0000-0000-000000000000",
                                  "eventId": "00000000-0000-0000-0000-000000000000",
                                  "eventType": "string",
                                  "resourceType": "string",
                                  "resourceId": "00000000-0000-0000-0000-000000000000",
                                  "projectId": "00000000-0000-0000-0000-000000000000",
                                  "occurredAt": "string",
                                  "read": true,
                                  "truncated": true,
                                  "href": "string",
                                  "resourceLabel": "string",
                                  "projectName": "string",
                                  "resourceStatus": "string",
                                  "versionNumber": 0,
                                  "exportFormat": "string",
                                  "count": 0
                                }
                              }
                              Servershttps://api.embodiflow.io/v1https://api.embodiflow.dev/v1
                              Previous

                              GET /notifications

                              Next

                              POST /notifications/read-receipts

                              curl -X POST 'https://api.embodiflow.io/v1/notifications/{id}/read-receipts' \
                                -H 'Authorization: Bearer $EMBODIFLOW_PAT'
                              Response example
                              Status code
                              201
                              ​
                              {
                                "data": {
                                  "id": "00000000-0000-0000-0000-000000000000",
                                  "eventId": "00000000-0000-0000-0000-000000000000",
                                  "eventType": "string",
                                  "resourceType": "string",
                                  "resourceId": "00000000-0000-0000-0000-000000000000",
                                  "projectId": "00000000-0000-0000-0000-000000000000",
                                  "occurredAt": "string",
                                  "read": true,
                                  "truncated": true,
                                  "href": "string",
                                  "resourceLabel": "string",
                                  "projectName": "string",
                                  "resourceStatus": "string",
                                  "versionNumber": 0,
                                  "exportFormat": "string",
                                  "count": 0
                                }
                              }